Docs

Add Task Attribute

POST /taskAttributes

POST/taskAttributes

Creates a custom task attribute for the organization at the end of the attribute order, with options for selectable types. Needs an organization token and organization basic access.

Request Body

FieldTypeRequiredDescription
namestringOptional
typestringOptional
isRequiredbooleanOptional
optionsAddTaskAttributeRequestOption[]Optional

AddTaskAttributeRequestOption

FieldTypeDescription
valuestring| null
colorstring| null
iconstring| null